package com.tanpu.community.api.beans.qo;


import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ThemeAnalysDO {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主题Id")
    private String themeId;

    @ApiModelProperty(value = "作者id")
    private String authorId;

    @ApiModelProperty(value = "被转发的主题")
    private String formerThemeId;

    @ApiModelProperty(value = "所属的话题")
    private String topicId;

    @ApiModelProperty(value = "转发量")
    private Integer forwardCount;

    @ApiModelProperty(value = "评论量")
    private Integer commentCount;

    @ApiModelProperty(value = "点赞量")
    private Integer likeCount;

    @ApiModelProperty(value = "收藏量")
    private Integer collectCount;

    @ApiModelProperty(value = "收藏量")
    private Integer viewCount;

    @ApiModelProperty(value = "距今时间")
    private Long minuteTillNow;

    public Double getScore() {
        double w = (double) (viewCount + forwardCount + commentCount + likeCount + collectCount);
        double i = 10;//初试权重
        double t = Double.valueOf(minuteTillNow) / 60;
        double g = 1.2;//时间系数
        double rank = (w + i) / Math.pow(t + 2, g);
        return rank;
    }

}
