package com.tanpu.community.api.beans.qo;

import com.tanpu.community.api.beans.vo.ImagesDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("主题信息流对象")
public class ThemeQo implements Serializable {

    public static final long serialVersionUID = -8585648478551597699L;

    @ApiModelProperty(value = "主题ID")
    public String themeId;


    @ApiModelProperty(value = "被转发的主题")
    public String formerThemeId;

    @ApiModelProperty(value = "标题")
    public String title;

    @ApiModelProperty(value = "类型 1：讨论无标题 2：长文有标题 3：转发 4:评论")
    public Integer themeType;

    @ApiModelProperty(value = "内容")
    public List<ThemeContentQo> content;

    @ApiModelProperty(value = "作者id")
    public String authorId;

    @ApiModelProperty(value = "所属的话题")
    public String topicId;

    @ApiModelProperty(value = "话题名称")
    public String topicTitle;

    @ApiModelProperty(value = "昵称")
    public String nickName;

    @ApiModelProperty(value = "用户头像")
    public String userImg;

    @ApiModelProperty(value = "用户简介")
    private String userIntroduction;

    @ApiModelProperty(value = "当前用户是否关注该作者")
    public boolean follow;
    //认证标签相关
    @ApiModelProperty("认证标签用-用户等级体系 0 游客 1注册用户 10投资人 20 探普理顾 30 探普专家理顾 40 交易理财师 50 首席投顾")
    private Integer levelGrade;
    @ApiModelProperty("认证标签用-当levelGrade=10有值 1投资萌新 2投资达人")
    private String userInvestorType;
    @ApiModelProperty("认证标签用-用户类型 1普通账号 2机构账号 3机构人员")
    private Integer userType;
    @ApiModelProperty("认证标签用-所属机构id")
    private String belongUserOrgId;
    @ApiModelProperty("认证标签用-所属机构名")
    private String belongUserOrgName;


    @ApiModelProperty(value = "认证机构")
    private String authOrg;

    @ApiModelProperty(value = "发表时间")
    public String upToNowTime;

    @ApiModelProperty(value = "转发量")
    public Integer forwardCount;

    @ApiModelProperty(value = "评论量")
    public Integer commentCount;

    @ApiModelProperty(value = "点赞量")
    public Integer likeCount;

    @ApiModelProperty(value = "当前用户是否点赞")
    public boolean hasLiked;

    @ApiModelProperty(value = "当前用户是否转发")
    public boolean hasForward;

    @ApiModelProperty(value = "当前用户是否收藏")
    private boolean hasCollect;

    @ApiModelProperty(value = "图片九宫格")
    public List<ImagesDTO> imgList;

    @ApiModelProperty(value = "转发的主题")
    public FormerThemeQo formerTheme;

    @ApiModelProperty(value = "评论Id(我的评论列表使用)")
    public String commentId;

    public Long createTime;

    public Long updateTime;


    //工作室相关
    @ApiModelProperty("工作室展示状态 1不展示 2展示(未认证) 3展示(已认证)")
    private Integer workshopStatus = 1;//工作室展示状态
    @ApiModelProperty("工作室名")
    private String workshopName;//工作室名
    @ApiModelProperty("工作室简介")
    private String workshopIntroduction;//工作室简介

}
