package com.tanpu.community.api.beans.vo.feign.fatools;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * @description: 用户信息 机构
 * @author: zejia zj wu
 * @create: 2021-07-15 14:37
 **/
@Data
@Builder
@ApiModel(description = "用户信息 机构")
public class UserInfoNewOrg implements Serializable {

    private static final long serialVersionUID = 1L;

    //↓↓↓↓ 机构 ↓↓↓↓
    @ApiModelProperty(value = "申请用户id")
    private String applyUserId;
    @ApiModelProperty(value = "机构id")
    private String userIdOrg;
    @ApiModelProperty(value = "公司名称")
    private String companyName;
    @ApiModelProperty(value = "公司全称")
    private String companyFullName;
    @ApiModelProperty(value = "营业执照账号")
    private String businessLicenseNumber;
    @ApiModelProperty(value = "营业执照 图片url")
    private String businessLicenseImageUrl;
    @ApiModelProperty(value = "机构用户身份公函 url")
    private String identityLetterUrl;
    @ApiModelProperty(value = "机构认证信息登记表 url")
    private String orgAuthInfoFormUrl;
    @ApiModelProperty(value = "运营人员 职位")
    private String position;
    @ApiModelProperty(value = "审核状态 1初始提交 2审核不通过 3审核通过")
    private Integer auditStatus;
    @ApiModelProperty(value = "认证名称")
    private String certName;
    @ApiModelProperty(value = "是否匹配现有基金公司 0不匹配 1匹配")
    private Integer isExistOrg;
    @ApiModelProperty(value = "所属基金公司id")
    private String belongOrgId;
    @ApiModelProperty(value = "所属基金公司类型 0公募 1私募")
    private Integer belongOrgType;

}