package com.tanpu.community.api.enums;

/**
 * 资源类型
 */
public enum RelTypeEnum {
    /**
     * 专栏
     */
    COLUMN(1, "栏目", 4),

    /**
     * 课程包
     */
    PACKAGE(2, "课程包", 2),
    /**
     * 直播
     */
    LIVE(3, "直播", 1),

    /**
     * 视频
     */
    VIDEO(4, "视频", 2),
    /**
     * 音频
     */
    AUDIO(5, "音频", 2),
    /**
     * 短视频
     */
    SHORT_VIDEO(6, "小视频", 6),

    /**
     * 课件
     */
    COURSE_WARE(7, "直播课件"),

    FUND(88, "产品", 88),

    PINGLUN(99, "评论", 99),

    TAMP_CAMP(101, "训练营", 101),

    TEXT(108, "圈子-文本",108),

    SINGLE_IMG(109, "圈子-单图",109),

    MULTIPLE_IMAGE(110, "圈子-多图",110),

    RES_FILE(121, "资源文件", 121),

    IMAGE_FILE(122,"图片文件",122),

    ARTICLE(202, "文章", 202),

    DAYREPORT(204, "早报", 204),


    /**
     * 新版课程
     */
    NEW_COURSE_WARE(300, "新版课程 - 课程包", 300),

    /**
     * 新版课程
     */
    NEW_COURSE_CHAPTER(301, "新版课程 - 章节", 301),

    /**
     * 新版课程
     */
    NEW_COURSE_SECTION_AUDIO(303, "新版课程 - 小节 - 音频", 303),


    /**
     * 新版课程
     */
    NEW_COURSE_SECTION_VIDEO(304, "新版课程 - 小节 - 视频", 304),

    /**
     * 新版课程附件
     */
    NEW_COURSE_COURSE_ATTACHMENT(305, "新版课程 - 课件", 305),
    /**
     * 运营活动 对应 tamp_jifen.activity_config
     */
    ACTIVITY_CONFIG(306, "活动", 306),
    INVITE_ACTIVITY(307, "邀请活动", 307),
    GROUP_BUY(310, "拼团活动", 307),
    SYSTEM(999, "系统赠送", 999),
    ;


    /**
     * 前端用的类型
     */
    public String type;

    /**
     * 名称
     */
    public String name;

    /**
     * 服务端使用的类型
     */
    public Integer serverType;

    RelTypeEnum(Integer type, String name) {
        this.type = type.toString();
        this.name = name;
    }

    RelTypeEnum(Integer type, String name, Integer serverType) {
        this.type = type.toString();
        this.name = name;
        this.serverType = serverType;
    }

    /**
     * 获取名称
     *
     * @param type
     * @return
     */
    public static String getTypeName(Integer type) {
        if (type == null) {
            return "";
        }
        for (RelTypeEnum relTypeEnum : RelTypeEnum.values()) {
            if (Integer.valueOf(relTypeEnum.type)== type) {
                return relTypeEnum.name;
            }
        }
        return "";
    }
}
