package com.tanpu.community.dao.entity.fund;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Builder;
import lombok.Data;

/**
    * 公司基本信息表
    */
@ApiModel(value="com-tanpu-community-dao-entity-fund-CompanyInfo")
@Data
@Builder
@TableName(value = "company_info")
public class CompanyInfo implements Serializable {
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="")
    private String id;

    /**
     * 公司id
     */
    @TableField(value = "p_company_id")
    @ApiModelProperty(value="公司id")
    private String pCompanyId;

    /**
     * 公司中文全称
     */
    @TableField(value = "company_name")
    @ApiModelProperty(value="公司中文全称")
    private String companyName;

    /**
     * 公司中文简称
     */
    @TableField(value = "company_short_name")
    @ApiModelProperty(value="公司中文简称")
    private String companyShortName;

    /**
     * 基金管理人全称（英文）
     */
    @TableField(value = "company_english_name")
    @ApiModelProperty(value="基金管理人全称（英文）")
    private String companyEnglishName;

    /**
     * 公司类型：1-私募证券投资、2-公募基金公司、3-银行、4-证券公司、5-信托公司、6-审计机构，7-法律顾问，8-投资顾问，9-行政管理人,10-上市公司，11-期货公司，12-基金公司子公司，13工作室，14-私募股权投资，15-证券公司子公司，16-期货公司子公司，17-私募创业投资，-1-私募其他投资
     */
    @TableField(value = "company_type")
    @ApiModelProperty(value="公司类型：1-私募证券投资、2-公募基金公司、3-银行、4-证券公司、5-信托公司、6-审计机构，7-法律顾问，8-投资顾问，9-行政管理人,10-上市公司，11-期货公司，12-基金公司子公司，13工作室，14-私募股权投资，15-证券公司子公司，16-期货公司子公司，17-私募创业投资，-1-私募其他投资")
    private Integer companyType;

    /**
     * 组织机构代码
     */
    @TableField(value = "organization_number")
    @ApiModelProperty(value="组织机构代码")
    private String organizationNumber;

    /**
     * 公司成立日期
     */
    @TableField(value = "establish_date")
    @ApiModelProperty(value="公司成立日期")
    private Date establishDate;

    /**
     * 公司注册国家：1-中国大陆、2-香港、3-新加坡、4-开曼群岛、5-台湾、6-英属维尔京群岛BVI、-1-其他
     */
    @TableField(value = "domicile_id")
    @ApiModelProperty(value="公司注册国家：1-中国大陆、2-香港、3-新加坡、4-开曼群岛、5-台湾、6-英属维尔京群岛BVI、-1-其他")
    private Integer domicileId;

    /**
     * 公司注册地址
     */
    @TableField(value = "company_address")
    @ApiModelProperty(value="公司注册地址")
    private String companyAddress;

    /**
     * 办公地址
     */
    @TableField(value = "company_address2")
    @ApiModelProperty(value="办公地址")
    private String companyAddress2;

    /**
     * 城市
     */
    @TableField(value = "city")
    @ApiModelProperty(value="城市")
    private String city;

    /**
     * 省
     */
    @TableField(value = "province")
    @ApiModelProperty(value="省")
    private String province;

    /**
     * 国家
     */
    @TableField(value = "country")
    @ApiModelProperty(value="国家")
    private String country;

    /**
     * 注册城市
     */
    @TableField(value = "reg_city")
    @ApiModelProperty(value="注册城市")
    private String regCity;

    /**
     * 注册省
     */
    @TableField(value = "reg_province")
    @ApiModelProperty(value="注册省")
    private String regProvince;

    /**
     * 注册国家
     */
    @TableField(value = "reg_country")
    @ApiModelProperty(value="注册国家")
    private String regCountry;

    /**
     * 联系电话
     */
    @TableField(value = "contact_phone")
    @ApiModelProperty(value="联系电话")
    private String contactPhone;

    /**
     * 邮政编码
     */
    @TableField(value = "post_code")
    @ApiModelProperty(value="邮政编码")
    private String postCode;

    /**
     * 传真
     */
    @TableField(value = "fax")
    @ApiModelProperty(value="传真")
    private String fax;

    /**
     * 邮箱
     */
    @TableField(value = "email")
    @ApiModelProperty(value="邮箱")
    private String email;

    /**
     * 公司网址
     */
    @TableField(value = "website")
    @ApiModelProperty(value="公司网址")
    private String website;

    /**
     * 公司注册资本，<量纲：万元>	
     */
    @TableField(value = "registered_capital")
    @ApiModelProperty(value="公司注册资本，<量纲：万元>	")
    private BigDecimal registeredCapital;

    /**
     * 公司简介
     */
    @TableField(value = "company_profile")
    @ApiModelProperty(value="公司简介")
    private String companyProfile;

    /**
     * 是否有海外基金，0-否，1-是，-1-其他
     */
    @TableField(value = "offshore_fund")
    @ApiModelProperty(value="是否有海外基金，0-否，1-是，-1-其他")
    private Integer offshoreFund;

    /**
     * 投资理念
     */
    @TableField(value = "philosopy")
    @ApiModelProperty(value="投资理念")
    private String philosopy;

    /**
     * 公司状态：1-运行；2-注销
     */
    @TableField(value = "company_status")
    @ApiModelProperty(value="公司状态：1-运行；2-注销")
    private Integer companyStatus;

    /**
     * 公司注册资本货币单位：1-人民币，2-港币，3-美元，-1-其他
     */
    @TableField(value = "base_currency_crc")
    @ApiModelProperty(value="公司注册资本货币单位：1-人民币，2-港币，3-美元，-1-其他")
    private Integer baseCurrencyCrc;

    /**
     * 备案编码
     */
    @TableField(value = "register_number")
    @ApiModelProperty(value="备案编码")
    private String registerNumber;

    /**
     * 备案状态：0-未备案,1-备案注销,2-备案存续
     */
    @TableField(value = "register_status")
    @ApiModelProperty(value="备案状态：0-未备案,1-备案注销,2-备案存续")
    private Integer registerStatus;

    /**
     * 备案日期
     */
    @TableField(value = "register_date")
    @ApiModelProperty(value="备案日期")
    private Date registerDate;

    /**
     * 备案地址
     */
    @TableField(value = "register_number_address")
    @ApiModelProperty(value="备案地址")
    private String registerNumberAddress;

    /**
     * 是否会员：1-是，0-否
     */
    @TableField(value = "is_member")
    @ApiModelProperty(value="是否会员：1-是，0-否")
    private Byte isMember;

    /**
     * 入会时间
     */
    @TableField(value = "join_date")
    @ApiModelProperty(value="入会时间")
    private Date joinDate;

    /**
     * 会员类型：1-普通会员、2-联席会员、3-观察会员、4-特别会员
     */
    @TableField(value = "member_type")
    @ApiModelProperty(value="会员类型：1-普通会员、2-联席会员、3-观察会员、4-特别会员")
    private Integer memberType;

    /**
     * 管理基金主要类别（与中基协同步）
     */
    @TableField(value = "fund_category_ori")
    @ApiModelProperty(value="管理基金主要类别（与中基协同步）")
    private String fundCategoryOri;

    /**
     * 业务类型
     */
    @TableField(value = "business_type")
    @ApiModelProperty(value="业务类型")
    private String businessType;

    /**
     * 企业性质:1 中外合作企业 2中外合资企业 3内资企业 4境外机构 5外商独资企业 6政府机构
     */
    @TableField(value = "nature_business_type")
    @ApiModelProperty(value="企业性质:1 中外合作企业 2中外合资企业 3内资企业 4境外机构 5外商独资企业 6政府机构")
    private Integer natureBusinessType;

    /**
     * 注册资本实缴比例
     */
    @TableField(value = "capital_paid_rate")
    @ApiModelProperty(value="注册资本实缴比例")
    private BigDecimal capitalPaidRate;

    /**
     * 公司logo
     */
    @TableField(value = "logo")
    @ApiModelProperty(value="公司logo")
    private String logo;

    /**
     * 公司是否在前台可见
     */
    @TableField(value = "isvisible")
    @ApiModelProperty(value="公司是否在前台可见")
    private Integer isvisible;

    /**
     * 实缴资本(万元)(人民币)
     */
    @TableField(value = "paid_capital")
    @ApiModelProperty(value="实缴资本(万元)(人民币)")
    private BigDecimal paidCapital;

    /**
     * 公司资产规模 1:0-1亿 2:1-10亿 3:10-20亿 4:20-50亿 5:50-100亿 6:100亿以上
     */
    @TableField(value = "company_asset_size")
    @ApiModelProperty(value="公司资产规模 1:0-1亿 2:1-10亿 3:10-20亿 4:20-50亿 5:50-100亿 6:100亿以上")
    private Integer companyAssetSize;

    /**
     * 法人代表
     */
    @TableField(value = "legal_representative")
    @ApiModelProperty(value="法人代表")
    private String legalRepresentative;

    /**
     * 法人代表履历
     */
    @TableField(value = "representative_experience")
    @ApiModelProperty(value="法人代表履历")
    private String representativeExperience;

    /**
     * 是否认证 0:否 1:是
     */
    @TableField(value = "is_qualify")
    @ApiModelProperty(value="是否认证 0:否 1:是")
    private Integer isQualify;

    /**
     * 法人从业资格获得方式
     */
    @TableField(value = "get_qualify_method")
    @ApiModelProperty(value="法人从业资格获得方式")
    private String getQualifyMethod;

    /**
     * 员工人数
     */
    @TableField(value = "employee_cnts")
    @ApiModelProperty(value="员工人数")
    private Integer employeeCnts;

    /**
     * 信信息
     */
    @TableField(value = "integrity_info")
    @ApiModelProperty(value="信信息")
    private String integrityInfo;

    /**
     * 提示信息
     */
    @TableField(value = "special_tips")
    @ApiModelProperty(value="提示信息")
    private String specialTips;

    /**
     * 协会网站链接
     */
    @TableField(value = "amac_link")
    @ApiModelProperty(value="协会网站链接")
    private String amacLink;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    @ApiModelProperty(value="创建时间")
    private Date createTime;

    /**
     * 创建人
     */
    @TableField(value = "create_by")
    @ApiModelProperty(value="创建人")
    private String createBy;

    /**
     * 修改时间
     */
    @TableField(value = "update_time")
    @ApiModelProperty(value="修改时间")
    private Date updateTime;

    /**
     * 修改人
     */
    @TableField(value = "update_by")
    @ApiModelProperty(value="修改人")
    private String updateBy;

    /**
     * 删除标识
     */
    @TableField(value = "delete_tag")
    @ApiModelProperty(value="删除标识")
    private Integer deleteTag;

    /**
     * 机构ID
     */
    @TableField(value = "org_id")
    @ApiModelProperty(value="机构ID")
    private String orgId;

    private static final long serialVersionUID = 1L;

    public static final String COL_ID = "id";

    public static final String COL_P_COMPANY_ID = "p_company_id";

    public static final String COL_COMPANY_NAME = "company_name";

    public static final String COL_COMPANY_SHORT_NAME = "company_short_name";

    public static final String COL_COMPANY_ENGLISH_NAME = "company_english_name";

    public static final String COL_COMPANY_TYPE = "company_type";

    public static final String COL_ORGANIZATION_NUMBER = "organization_number";

    public static final String COL_ESTABLISH_DATE = "establish_date";

    public static final String COL_DOMICILE_ID = "domicile_id";

    public static final String COL_COMPANY_ADDRESS = "company_address";

    public static final String COL_COMPANY_ADDRESS2 = "company_address2";

    public static final String COL_CITY = "city";

    public static final String COL_PROVINCE = "province";

    public static final String COL_COUNTRY = "country";

    public static final String COL_REG_CITY = "reg_city";

    public static final String COL_REG_PROVINCE = "reg_province";

    public static final String COL_REG_COUNTRY = "reg_country";

    public static final String COL_CONTACT_PHONE = "contact_phone";

    public static final String COL_POST_CODE = "post_code";

    public static final String COL_FAX = "fax";

    public static final String COL_EMAIL = "email";

    public static final String COL_WEBSITE = "website";

    public static final String COL_REGISTERED_CAPITAL = "registered_capital";

    public static final String COL_COMPANY_PROFILE = "company_profile";

    public static final String COL_OFFSHORE_FUND = "offshore_fund";

    public static final String COL_PHILOSOPY = "philosopy";

    public static final String COL_COMPANY_STATUS = "company_status";

    public static final String COL_BASE_CURRENCY_CRC = "base_currency_crc";

    public static final String COL_REGISTER_NUMBER = "register_number";

    public static final String COL_REGISTER_STATUS = "register_status";

    public static final String COL_REGISTER_DATE = "register_date";

    public static final String COL_REGISTER_NUMBER_ADDRESS = "register_number_address";

    public static final String COL_IS_MEMBER = "is_member";

    public static final String COL_JOIN_DATE = "join_date";

    public static final String COL_MEMBER_TYPE = "member_type";

    public static final String COL_FUND_CATEGORY_ORI = "fund_category_ori";

    public static final String COL_BUSINESS_TYPE = "business_type";

    public static final String COL_NATURE_BUSINESS_TYPE = "nature_business_type";

    public static final String COL_CAPITAL_PAID_RATE = "capital_paid_rate";

    public static final String COL_LOGO = "logo";

    public static final String COL_ISVISIBLE = "isvisible";

    public static final String COL_PAID_CAPITAL = "paid_capital";

    public static final String COL_COMPANY_ASSET_SIZE = "company_asset_size";

    public static final String COL_LEGAL_REPRESENTATIVE = "legal_representative";

    public static final String COL_REPRESENTATIVE_EXPERIENCE = "representative_experience";

    public static final String COL_IS_QUALIFY = "is_qualify";

    public static final String COL_GET_QUALIFY_METHOD = "get_qualify_method";

    public static final String COL_EMPLOYEE_CNTS = "employee_cnts";

    public static final String COL_INTEGRITY_INFO = "integrity_info";

    public static final String COL_SPECIAL_TIPS = "special_tips";

    public static final String COL_AMAC_LINK = "amac_link";

    public static final String COL_CREATE_TIME = "create_time";

    public static final String COL_CREATE_BY = "create_by";

    public static final String COL_UPDATE_TIME = "update_time";

    public static final String COL_UPDATE_BY = "update_by";

    public static final String COL_DELETE_TAG = "delete_tag";

    public static final String COL_ORG_ID = "org_id";
}