package com.tanpu.community.dao.entity.jydb;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Builder;
import lombok.Data;

@ApiModel(value="com-tanpu-community-dao-entity-jydb-MfAdvisorscalerank")
@Data
@Builder
@TableName(value = "mf_advisorscalerank")
public class MfAdvisorscalerank implements Serializable {
    /**
     * ID
     */
    @TableField(value = "ID")
    @ApiModelProperty(value="ID")
    private Long id;

    /**
     * 基金管理人编码
     */
    @TableField(value = "InvestAdvisorCode")
    @ApiModelProperty(value="基金管理人编码")
    private Integer investadvisorcode;

    /**
     * 截止日期
     */
    @TableField(value = "EndDate")
    @ApiModelProperty(value="截止日期")
    private Date enddate;

    /**
     * 总管理规模(亿元)
     */
    @TableField(value = "TotalFundNV")
    @ApiModelProperty(value="总管理规模(亿元)")
    private BigDecimal totalfundnv;

    /**
     * 旗下基金总数(只)
     */
    @TableField(value = "TotalFundN")
    @ApiModelProperty(value="旗下基金总数(只)")
    private Integer totalfundn;

    /**
     * 股票型管理规模(亿元)
     */
    @TableField(value = "EquityFundNV")
    @ApiModelProperty(value="股票型管理规模(亿元)")
    private BigDecimal equityfundnv;

    /**
     * 股票型基金管理规模排名
     */
    @TableField(value = "EquityNVRank")
    @ApiModelProperty(value="股票型基金管理规模排名")
    private Integer equitynvrank;

    /**
     * 股票型基金数量(只)
     */
    @TableField(value = "EquityFundN")
    @ApiModelProperty(value="股票型基金数量(只)")
    private Integer equityfundn;

    /**
     * 股票型基金管理数量排名
     */
    @TableField(value = "EquityNRank")
    @ApiModelProperty(value="股票型基金管理数量排名")
    private Integer equitynrank;

    /**
     * 管理股票型基金公司数
     */
    @TableField(value = "AdvisorOfEquity")
    @ApiModelProperty(value="管理股票型基金公司数")
    private Integer advisorofequity;

    /**
     * 混合型管理规模(亿元)
     */
    @TableField(value = "HybridFundNV")
    @ApiModelProperty(value="混合型管理规模(亿元)")
    private BigDecimal hybridfundnv;

    /**
     * 混合型基金管理规模排名
     */
    @TableField(value = "HybridNVRank")
    @ApiModelProperty(value="混合型基金管理规模排名")
    private Integer hybridnvrank;

    /**
     * 混合型基金数量(只)
     */
    @TableField(value = "HybridFundN")
    @ApiModelProperty(value="混合型基金数量(只)")
    private Integer hybridfundn;

    /**
     * 混合型基金管理数量排名
     */
    @TableField(value = "HybridNRank")
    @ApiModelProperty(value="混合型基金管理数量排名")
    private Integer hybridnrank;

    /**
     * 管理混合型基金公司数
     */
    @TableField(value = "AdvisorOfHybrid")
    @ApiModelProperty(value="管理混合型基金公司数")
    private Integer advisorofhybrid;

    /**
     * 债券型管理规模(亿元)
     */
    @TableField(value = "BondFundNV")
    @ApiModelProperty(value="债券型管理规模(亿元)")
    private BigDecimal bondfundnv;

    /**
     * 债券型基金管理规模排名
     */
    @TableField(value = "BondNVRank")
    @ApiModelProperty(value="债券型基金管理规模排名")
    private Integer bondnvrank;

    /**
     * 债券型基金数量(只)
     */
    @TableField(value = "BondFundN")
    @ApiModelProperty(value="债券型基金数量(只)")
    private Integer bondfundn;

    /**
     * 债券型基金管理数量排名
     */
    @TableField(value = "BondNRank")
    @ApiModelProperty(value="债券型基金管理数量排名")
    private Integer bondnrank;

    /**
     * 管理债券型基金公司数
     */
    @TableField(value = "AdvisorOfBond")
    @ApiModelProperty(value="管理债券型基金公司数")
    private Integer advisorofbond;

    /**
     * 货币型管理规模(亿元)
     */
    @TableField(value = "MonetaryFundNV")
    @ApiModelProperty(value="货币型管理规模(亿元)")
    private BigDecimal monetaryfundnv;

    /**
     * 货币型基金管理规模排名
     */
    @TableField(value = "MonetaryNVRank")
    @ApiModelProperty(value="货币型基金管理规模排名")
    private Integer monetarynvrank;

    /**
     * 货币型基金数量(只)
     */
    @TableField(value = "MonetaryFundN")
    @ApiModelProperty(value="货币型基金数量(只)")
    private Integer monetaryfundn;

    /**
     * 货币型基金管理数量排名
     */
    @TableField(value = "MonetaryNRank")
    @ApiModelProperty(value="货币型基金管理数量排名")
    private Integer monetarynrank;

    /**
     * 管理货币型基金公司数
     */
    @TableField(value = "AdvisorOfMonetary")
    @ApiModelProperty(value="管理货币型基金公司数")
    private Integer advisorofmonetary;

    /**
     * 理财型管理规模(亿元)
     */
    @TableField(value = "ShortBondFundNV")
    @ApiModelProperty(value="理财型管理规模(亿元)")
    private BigDecimal shortbondfundnv;

    /**
     * 理财型基金管理规模排名
     */
    @TableField(value = "ShortBondNVRank")
    @ApiModelProperty(value="理财型基金管理规模排名")
    private Integer shortbondnvrank;

    /**
     * 理财型基金数量(只)
     */
    @TableField(value = "ShortBondFundN")
    @ApiModelProperty(value="理财型基金数量(只)")
    private Integer shortbondfundn;

    /**
     * 理财型基金管理数量排名
     */
    @TableField(value = "ShortBondNRank")
    @ApiModelProperty(value="理财型基金管理数量排名")
    private Integer shortbondnrank;

    /**
     * 管理理财型基金公司数
     */
    @TableField(value = "AdvisorOfShortBond")
    @ApiModelProperty(value="管理理财型基金公司数")
    private Integer advisorofshortbond;

    /**
     * QDII管理规模(亿元)
     */
    @TableField(value = "QDIINV")
    @ApiModelProperty(value="QDII管理规模(亿元)")
    private BigDecimal qdiinv;

    /**
     * QDII基金管理规模排名
     */
    @TableField(value = "QDIINVRank")
    @ApiModelProperty(value="QDII基金管理规模排名")
    private Integer qdiinvrank;

    /**
     * QDII基金数量(只)
     */
    @TableField(value = "QDIIN")
    @ApiModelProperty(value="QDII基金数量(只)")
    private Integer qdiin;

    /**
     * QDII基金管理数量排名
     */
    @TableField(value = "QDIINRank")
    @ApiModelProperty(value="QDII基金管理数量排名")
    private Integer qdiinrank;

    /**
     * 管理QDII基金公司数
     */
    @TableField(value = "AdvisorOfQDII")
    @ApiModelProperty(value="管理QDII基金公司数")
    private Integer advisorofqdii;

    /**
     * 发布时间
     */
    @TableField(value = "InsertTime")
    @ApiModelProperty(value="发布时间")
    private Date inserttime;

    /**
     * 更新时间
     */
    @TableField(value = "UpdateTime")
    @ApiModelProperty(value="更新时间")
    private Date updatetime;

    /**
     * JSID
     */
    @TableField(value = "JSID")
    @ApiModelProperty(value="JSID")
    private Long jsid;

    /**
     * 总管理规模排名
     */
    @TableField(value = "FundNVRank")
    @ApiModelProperty(value="总管理规模排名")
    private Integer fundnvrank;

    /**
     * 添加列FundNRank
     */
    @TableField(value = "FundNRank")
    @ApiModelProperty(value="添加列FundNRank")
    private Integer fundnrank;

    /**
     * 基金公司总数
     */
    @TableField(value = "TotalAdvisor")
    @ApiModelProperty(value="基金公司总数")
    private Integer totaladvisor;

    /**
     * 非货基与理财债基管理规模(亿元)
     */
    @TableField(value = "UnMSBFNV")
    @ApiModelProperty(value="非货基与理财债基管理规模(亿元)")
    private BigDecimal unmsbfnv;

    /**
     * 非货基与理财债基管理规模排名
     */
    @TableField(value = "UnMSBFNVRank")
    @ApiModelProperty(value="非货基与理财债基管理规模排名")
    private Integer unmsbfnvrank;

    /**
     * 非货基与理财债基数量(只)
     */
    @TableField(value = "UnMSBFN")
    @ApiModelProperty(value="非货基与理财债基数量(只)")
    private Integer unmsbfn;

    /**
     * 非货基与理财债基管理数量排名
     */
    @TableField(value = "UnMSBFNRank")
    @ApiModelProperty(value="非货基与理财债基管理数量排名")
    private Integer unmsbfnrank;

    /**
     * 管理非货基与理财债基公司数
     */
    @TableField(value = "AdvisorOfUnMSBF")
    @ApiModelProperty(value="管理非货基与理财债基公司数")
    private Integer advisorofunmsbf;

    /**
     * 主动权益类基金管理规模(亿元)
     */
    @TableField(value = "ActiveEFNV")
    @ApiModelProperty(value="主动权益类基金管理规模(亿元)")
    private BigDecimal activeefnv;

    /**
     * 主动权益类基金管理规模排名
     */
    @TableField(value = "ActiveEFNVRank")
    @ApiModelProperty(value="主动权益类基金管理规模排名")
    private Integer activeefnvrank;

    /**
     * 主动权益类基金数量(只)
     */
    @TableField(value = "ActiveEFN")
    @ApiModelProperty(value="主动权益类基金数量(只)")
    private Integer activeefn;

    /**
     * 主动权益类基金管理数量排名
     */
    @TableField(value = "ActiveEFNRank")
    @ApiModelProperty(value="主动权益类基金管理数量排名")
    private Integer activeefnrank;

    /**
     * 管理主动权益类基金公司数
     */
    @TableField(value = "AdvisorOfActiveEF")
    @ApiModelProperty(value="管理主动权益类基金公司数")
    private Integer advisorofactiveef;

    private static final long serialVersionUID = 1L;

    public static final String COL_ID = "ID";

    public static final String COL_INVESTADVISORCODE = "InvestAdvisorCode";

    public static final String COL_ENDDATE = "EndDate";

    public static final String COL_TOTALFUNDNV = "TotalFundNV";

    public static final String COL_TOTALFUNDN = "TotalFundN";

    public static final String COL_EQUITYFUNDNV = "EquityFundNV";

    public static final String COL_EQUITYNVRANK = "EquityNVRank";

    public static final String COL_EQUITYFUNDN = "EquityFundN";

    public static final String COL_EQUITYNRANK = "EquityNRank";

    public static final String COL_ADVISOROFEQUITY = "AdvisorOfEquity";

    public static final String COL_HYBRIDFUNDNV = "HybridFundNV";

    public static final String COL_HYBRIDNVRANK = "HybridNVRank";

    public static final String COL_HYBRIDFUNDN = "HybridFundN";

    public static final String COL_HYBRIDNRANK = "HybridNRank";

    public static final String COL_ADVISOROFHYBRID = "AdvisorOfHybrid";

    public static final String COL_BONDFUNDNV = "BondFundNV";

    public static final String COL_BONDNVRANK = "BondNVRank";

    public static final String COL_BONDFUNDN = "BondFundN";

    public static final String COL_BONDNRANK = "BondNRank";

    public static final String COL_ADVISOROFBOND = "AdvisorOfBond";

    public static final String COL_MONETARYFUNDNV = "MonetaryFundNV";

    public static final String COL_MONETARYNVRANK = "MonetaryNVRank";

    public static final String COL_MONETARYFUNDN = "MonetaryFundN";

    public static final String COL_MONETARYNRANK = "MonetaryNRank";

    public static final String COL_ADVISOROFMONETARY = "AdvisorOfMonetary";

    public static final String COL_SHORTBONDFUNDNV = "ShortBondFundNV";

    public static final String COL_SHORTBONDNVRANK = "ShortBondNVRank";

    public static final String COL_SHORTBONDFUNDN = "ShortBondFundN";

    public static final String COL_SHORTBONDNRANK = "ShortBondNRank";

    public static final String COL_ADVISOROFSHORTBOND = "AdvisorOfShortBond";

    public static final String COL_QDIINV = "QDIINV";

    public static final String COL_QDIINVRANK = "QDIINVRank";

    public static final String COL_QDIIN = "QDIIN";

    public static final String COL_QDIINRANK = "QDIINRank";

    public static final String COL_ADVISOROFQDII = "AdvisorOfQDII";

    public static final String COL_INSERTTIME = "InsertTime";

    public static final String COL_UPDATETIME = "UpdateTime";

    public static final String COL_JSID = "JSID";

    public static final String COL_FUNDNVRANK = "FundNVRank";

    public static final String COL_FUNDNRANK = "FundNRank";

    public static final String COL_TOTALADVISOR = "TotalAdvisor";

    public static final String COL_UNMSBFNV = "UnMSBFNV";

    public static final String COL_UNMSBFNVRANK = "UnMSBFNVRank";

    public static final String COL_UNMSBFN = "UnMSBFN";

    public static final String COL_UNMSBFNRANK = "UnMSBFNRank";

    public static final String COL_ADVISOROFUNMSBF = "AdvisorOfUnMSBF";

    public static final String COL_ACTIVEEFNV = "ActiveEFNV";

    public static final String COL_ACTIVEEFNVRANK = "ActiveEFNVRank";

    public static final String COL_ACTIVEEFN = "ActiveEFN";

    public static final String COL_ACTIVEEFNRANK = "ActiveEFNRank";

    public static final String COL_ADVISOROFACTIVEEF = "AdvisorOfActiveEF";
}