package com.tanpu.community.dao.entity.jydb;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Builder;
import lombok.Data;

@ApiModel(value="com-tanpu-community-dao-entity-jydb-MfInvestadvisoroutline")
@Data
@Builder
@TableName(value = "mf_investadvisoroutline")
public class MfInvestadvisoroutline implements Serializable {
    /**
     * ID
     */
    @TableField(value = "ID")
    @ApiModelProperty(value="ID")
    private Long id;

    /**
     * 基金公司代码
     */
    @TableField(value = "InvestAdvisorCode")
    @ApiModelProperty(value="基金公司代码")
    private Integer investadvisorcode;

    /**
     * 基金管理人名称
     */
    @TableField(value = "InvestAdvisorName")
    @ApiModelProperty(value="基金管理人名称")
    private String investadvisorname;

    /**
     * 基金管理人简称
     */
    @TableField(value = "InvestAdvisorAbbrName")
    @ApiModelProperty(value="基金管理人简称")
    private String investadvisorabbrname;

    /**
     * 法人代表
     */
    @TableField(value = "LegalRepr")
    @ApiModelProperty(value="法人代表")
    private String legalrepr;

    /**
     * 总经理
     */
    @TableField(value = "GeneralManager")
    @ApiModelProperty(value="总经理")
    private String generalmanager;

    /**
     * 公司成立日期
     */
    @TableField(value = "EstablishmentDate")
    @ApiModelProperty(value="公司成立日期")
    private Date establishmentdate;

    /**
     * 组织形式
     */
    @TableField(value = "OrganizationForm")
    @ApiModelProperty(value="组织形式")
    private String organizationform;

    /**
     * 注册资本(元)
     */
    @TableField(value = "RegCapital")
    @ApiModelProperty(value="注册资本(元)")
    private BigDecimal regcapital;

    /**
     * 公司注册地址
     */
    @TableField(value = "RegAddr")
    @ApiModelProperty(value="公司注册地址")
    private String regaddr;

    /**
     * 公司办公地址
     */
    @TableField(value = "OfficeAddr")
    @ApiModelProperty(value="公司办公地址")
    private String officeaddr;

    /**
     * 邮编
     */
    @TableField(value = "ZipCode")
    @ApiModelProperty(value="邮编")
    private String zipcode;

    /**
     * 邮箱
     */
    @TableField(value = "Email")
    @ApiModelProperty(value="邮箱")
    private String email;

    /**
     * 公司联系地址
     */
    @TableField(value = "ContactAddr")
    @ApiModelProperty(value="公司联系地址")
    private String contactaddr;

    /**
     * 电话
     */
    @TableField(value = "Tel")
    @ApiModelProperty(value="电话")
    private String tel;

    /**
     * 传真
     */
    @TableField(value = "Fax")
    @ApiModelProperty(value="传真")
    private String fax;

    /**
     * 公司网址
     */
    @TableField(value = "WebSite")
    @ApiModelProperty(value="公司网址")
    private String website;

    /**
     * 联系人
     */
    @TableField(value = "LinkMan")
    @ApiModelProperty(value="联系人")
    private String linkman;

    /**
     * 简历
     */
    @TableField(value = "Background")
    @ApiModelProperty(value="简历")
    private String background;

    /**
     * 所属地区
     */
    @TableField(value = "Region")
    @ApiModelProperty(value="所属地区")
    private Integer region;

    /**
     * 修改日期
     */
    @TableField(value = "XGRQ")
    @ApiModelProperty(value="修改日期")
    private Date xgrq;

    /**
     * JSID
     */
    @TableField(value = "JSID")
    @ApiModelProperty(value="JSID")
    private Long jsid;

    /**
     * 客服热线
     */
    @TableField(value = "ServiceLine")
    @ApiModelProperty(value="客服热线")
    private String serviceline;

    /**
     * 存续截止日
     */
    @TableField(value = "MaturityEndDate")
    @ApiModelProperty(value="存续截止日")
    private Date maturityenddate;

    /**
     * 注册登记代码
     */
    @TableField(value = "TACode")
    @ApiModelProperty(value="注册登记代码")
    private String tacode;

    /**
     * 证监会标识码
     */
    @TableField(value = "CSRCCode")
    @ApiModelProperty(value="证监会标识码")
    private String csrccode;

    private static final long serialVersionUID = 1L;

    public static final String COL_ID = "ID";

    public static final String COL_INVESTADVISORCODE = "InvestAdvisorCode";

    public static final String COL_INVESTADVISORNAME = "InvestAdvisorName";

    public static final String COL_INVESTADVISORABBRNAME = "InvestAdvisorAbbrName";

    public static final String COL_LEGALREPR = "LegalRepr";

    public static final String COL_GENERALMANAGER = "GeneralManager";

    public static final String COL_ESTABLISHMENTDATE = "EstablishmentDate";

    public static final String COL_ORGANIZATIONFORM = "OrganizationForm";

    public static final String COL_REGCAPITAL = "RegCapital";

    public static final String COL_REGADDR = "RegAddr";

    public static final String COL_OFFICEADDR = "OfficeAddr";

    public static final String COL_ZIPCODE = "ZipCode";

    public static final String COL_EMAIL = "Email";

    public static final String COL_CONTACTADDR = "ContactAddr";

    public static final String COL_TEL = "Tel";

    public static final String COL_FAX = "Fax";

    public static final String COL_WEBSITE = "WebSite";

    public static final String COL_LINKMAN = "LinkMan";

    public static final String COL_BACKGROUND = "Background";

    public static final String COL_REGION = "Region";

    public static final String COL_XGRQ = "XGRQ";

    public static final String COL_JSID = "JSID";

    public static final String COL_SERVICELINE = "ServiceLine";

    public static final String COL_MATURITYENDDATE = "MaturityEndDate";

    public static final String COL_TACODE = "TACode";

    public static final String COL_CSRCCODE = "CSRCCode";
}