package com.tanpu.community.dao.entity.user;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author xudong
 * @since 2021-07-20
 */
@TableName("user_info")
@ApiModel(value="UserInfoEntity对象", description="")
public class UserInfoEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一主键")
    private String id;

    @ApiModelProperty(value = "账户类型 1普通账号 2机构账号 3机构人员")
    private Integer userType;

    @ApiModelProperty(value = "微信openId")
    private String uiOpenid;

    @ApiModelProperty(value = "unionId")
    @TableField("ui_unionId")
    private String uiUnionid;

    @ApiModelProperty(value = "手机号")
    private String uiTelphone;

    @ApiModelProperty(value = "登录密码")
    private String uiPwd;

    @ApiModelProperty(value = "昵称")
    private String uiNickname;

    @ApiModelProperty(value = "头像")
    private String uiHeadimg;

    @ApiModelProperty(value = "姓名")
    private String uiUsername;

    @ApiModelProperty(value = "性别 0：男 1：女")
    private String uiSex;

    @ApiModelProperty(value = "生日")
    private LocalDateTime uiBirthday;

    @ApiModelProperty(value = "个人介绍")
    private String uiIntroduction;

    @ApiModelProperty(value = "名片样式 0：小名片 1：大名片")
    private String uiTypeMp;

    @ApiModelProperty(value = "名片头像")
    private String uiHeadimgMp;

    @ApiModelProperty(value = "名片姓名")
    private String uiUsernameMp;

    @ApiModelProperty(value = "名片电话")
    private String uiTelphoneMp;

    @ApiModelProperty(value = "手机")
    private String uiMobilephoneMp;

    @ApiModelProperty(value = "名片公司名称")
    private String uiCompanyMp;

    @ApiModelProperty(value = "名片公司地址")
    private String uiCompanyAddressMp;

    @ApiModelProperty(value = "名片职位")
    private String uiPositionMp;

    @ApiModelProperty(value = "行业")
    private String uiIndustryMp;

    @ApiModelProperty(value = "名片邮箱")
    private String uiEmailMp;

    @ApiModelProperty(value = "名片个人介绍")
    private String uiIntroductionMp;

    @ApiModelProperty(value = "微信个人二维码名片")
    private String uiWechatQrcode;

    @ApiModelProperty(value = "小程序二维码")
    private String uiWechatXcxQrcode;

    @ApiModelProperty(value = "类型 0：app注册 1：平台添加")
    private String uiType;

    @ApiModelProperty(value = "用户身份 0：普通用户 1：种子用户 2：超级用户")
    private String uiShenfen;

    @ApiModelProperty(value = "认证状态 0:未认证 1:已认证")
    private Integer uiRzstatus;

    @ApiModelProperty(value = "机构Id")
    private String orgId;

    @ApiModelProperty(value = "团队Id")
    private String teamId;

    @ApiModelProperty(value = "加入团队时间")
    private LocalDateTime joinTime;

    @ApiModelProperty(value = "员工工号")
    private String staffNo;

    @ApiModelProperty(value = "合格投资者认证状态")
    private Integer investorCertifiedStatus;

    @ApiModelProperty(value = "合格投资者认证时间")
    private LocalDateTime investorCertifiedTime;

    @ApiModelProperty(value = "对外合作权限")
    private String toPartner;

    @ApiModelProperty(value = "等级")
    private String uiGrade;

    @ApiModelProperty(value = "内容审核")
    private Integer contentReview;

    @ApiModelProperty(value = "所获荣誉")
    private String uiHonor;

    @ApiModelProperty(value = "海报扫码关注公众号引流人")
    private String uiHbUserid;

    private String staffRegion;

    private String branchName;

    private String subBranchName;

    private String branchNetworkName;

    private String uiGradeName;

    private String uiTargetGradeName;

    private String uiSource;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createtime;

    @ApiModelProperty(value = "创建人")
    private String createby;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updatetime;

    @ApiModelProperty(value = "修改人")
    private String updateby;

    @ApiModelProperty(value = "删除标识")
    private String deletetag;

    @ApiModelProperty(value = "前端角色")
    private String frontRoles;

    @ApiModelProperty(value = "名片检查")
    private Integer uiCheckStatus;

    private String city;

    private String province;

    private String country;

    private String uiInviter;

    private String uiInviterPhone;

    private Integer uiAge;

    private String uiRegion;

    private String uiWecaht;

    private LocalDateTime uiInviterTime;

    @ApiModelProperty(value = "微信unionId")
    private String unionid;

    @ApiModelProperty(value = "0游客，1注册用户，2理财师")
    private Integer level;

    @ApiModelProperty(value = "0游客，1注册用户，20探普理顾  30:探普专家理顾  40:交易理财师")
    private Integer levelGrade;

    @ApiModelProperty(value = "年龄")
    private Integer age;

    @ApiModelProperty(value = "区县")
    private String district;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "学历：0: 未知，1：专科，2：本科，3：211本科，4：硕士及以上")
    private Integer education;

    @ApiModelProperty(value = "微信号")
    private String wechat;

    @ApiModelProperty(value = "高净值客户数（0:无，1:10人一下，2:10-30人，3:30-50人，4:50以上）")
    private Integer highWorthCustomerNum;

    @ApiModelProperty(value = "高净值客户资产配置：（0：无，1:100万一下，2:100-200万，3:200-400万，4:400-600万，5:600万以上）")
    private Integer customerAsset;

    @ApiModelProperty(value = "自身是否是理财师")
    private Integer financialPlanner;

    @ApiModelProperty(value = "会员到期时间")
    private LocalDateTime vipEndTime;

    private LocalDateTime uiRegisterTime;

    @ApiModelProperty(value = "权限集 以英文;分割（S1-基础营）")
    private String uiAuth;

    private String uiChannel;

    @ApiModelProperty(value = "审核时间")
    private LocalDateTime reviewTime;

    @ApiModelProperty(value = "苹果授权用户id")
    private String uiAppleUserid;

    @ApiModelProperty(value = "理财师编号")
    private String ifaNo;

    @ApiModelProperty(value = "真实姓名，禁用于运营维护")
    private String realname;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public String getUiOpenid() {
        return uiOpenid;
    }

    public void setUiOpenid(String uiOpenid) {
        this.uiOpenid = uiOpenid;
    }

    public String getUiUnionid() {
        return uiUnionid;
    }

    public void setUiUnionid(String uiUnionid) {
        this.uiUnionid = uiUnionid;
    }

    public String getUiTelphone() {
        return uiTelphone;
    }

    public void setUiTelphone(String uiTelphone) {
        this.uiTelphone = uiTelphone;
    }

    public String getUiPwd() {
        return uiPwd;
    }

    public void setUiPwd(String uiPwd) {
        this.uiPwd = uiPwd;
    }

    public String getUiNickname() {
        return uiNickname;
    }

    public void setUiNickname(String uiNickname) {
        this.uiNickname = uiNickname;
    }

    public String getUiHeadimg() {
        return uiHeadimg;
    }

    public void setUiHeadimg(String uiHeadimg) {
        this.uiHeadimg = uiHeadimg;
    }

    public String getUiUsername() {
        return uiUsername;
    }

    public void setUiUsername(String uiUsername) {
        this.uiUsername = uiUsername;
    }

    public String getUiSex() {
        return uiSex;
    }

    public void setUiSex(String uiSex) {
        this.uiSex = uiSex;
    }

    public LocalDateTime getUiBirthday() {
        return uiBirthday;
    }

    public void setUiBirthday(LocalDateTime uiBirthday) {
        this.uiBirthday = uiBirthday;
    }

    public String getUiIntroduction() {
        return uiIntroduction;
    }

    public void setUiIntroduction(String uiIntroduction) {
        this.uiIntroduction = uiIntroduction;
    }

    public String getUiTypeMp() {
        return uiTypeMp;
    }

    public void setUiTypeMp(String uiTypeMp) {
        this.uiTypeMp = uiTypeMp;
    }

    public String getUiHeadimgMp() {
        return uiHeadimgMp;
    }

    public void setUiHeadimgMp(String uiHeadimgMp) {
        this.uiHeadimgMp = uiHeadimgMp;
    }

    public String getUiUsernameMp() {
        return uiUsernameMp;
    }

    public void setUiUsernameMp(String uiUsernameMp) {
        this.uiUsernameMp = uiUsernameMp;
    }

    public String getUiTelphoneMp() {
        return uiTelphoneMp;
    }

    public void setUiTelphoneMp(String uiTelphoneMp) {
        this.uiTelphoneMp = uiTelphoneMp;
    }

    public String getUiMobilephoneMp() {
        return uiMobilephoneMp;
    }

    public void setUiMobilephoneMp(String uiMobilephoneMp) {
        this.uiMobilephoneMp = uiMobilephoneMp;
    }

    public String getUiCompanyMp() {
        return uiCompanyMp;
    }

    public void setUiCompanyMp(String uiCompanyMp) {
        this.uiCompanyMp = uiCompanyMp;
    }

    public String getUiCompanyAddressMp() {
        return uiCompanyAddressMp;
    }

    public void setUiCompanyAddressMp(String uiCompanyAddressMp) {
        this.uiCompanyAddressMp = uiCompanyAddressMp;
    }

    public String getUiPositionMp() {
        return uiPositionMp;
    }

    public void setUiPositionMp(String uiPositionMp) {
        this.uiPositionMp = uiPositionMp;
    }

    public String getUiIndustryMp() {
        return uiIndustryMp;
    }

    public void setUiIndustryMp(String uiIndustryMp) {
        this.uiIndustryMp = uiIndustryMp;
    }

    public String getUiEmailMp() {
        return uiEmailMp;
    }

    public void setUiEmailMp(String uiEmailMp) {
        this.uiEmailMp = uiEmailMp;
    }

    public String getUiIntroductionMp() {
        return uiIntroductionMp;
    }

    public void setUiIntroductionMp(String uiIntroductionMp) {
        this.uiIntroductionMp = uiIntroductionMp;
    }

    public String getUiWechatQrcode() {
        return uiWechatQrcode;
    }

    public void setUiWechatQrcode(String uiWechatQrcode) {
        this.uiWechatQrcode = uiWechatQrcode;
    }

    public String getUiWechatXcxQrcode() {
        return uiWechatXcxQrcode;
    }

    public void setUiWechatXcxQrcode(String uiWechatXcxQrcode) {
        this.uiWechatXcxQrcode = uiWechatXcxQrcode;
    }

    public String getUiType() {
        return uiType;
    }

    public void setUiType(String uiType) {
        this.uiType = uiType;
    }

    public String getUiShenfen() {
        return uiShenfen;
    }

    public void setUiShenfen(String uiShenfen) {
        this.uiShenfen = uiShenfen;
    }

    public Integer getUiRzstatus() {
        return uiRzstatus;
    }

    public void setUiRzstatus(Integer uiRzstatus) {
        this.uiRzstatus = uiRzstatus;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getTeamId() {
        return teamId;
    }

    public void setTeamId(String teamId) {
        this.teamId = teamId;
    }

    public LocalDateTime getJoinTime() {
        return joinTime;
    }

    public void setJoinTime(LocalDateTime joinTime) {
        this.joinTime = joinTime;
    }

    public String getStaffNo() {
        return staffNo;
    }

    public void setStaffNo(String staffNo) {
        this.staffNo = staffNo;
    }

    public Integer getInvestorCertifiedStatus() {
        return investorCertifiedStatus;
    }

    public void setInvestorCertifiedStatus(Integer investorCertifiedStatus) {
        this.investorCertifiedStatus = investorCertifiedStatus;
    }

    public LocalDateTime getInvestorCertifiedTime() {
        return investorCertifiedTime;
    }

    public void setInvestorCertifiedTime(LocalDateTime investorCertifiedTime) {
        this.investorCertifiedTime = investorCertifiedTime;
    }

    public String getToPartner() {
        return toPartner;
    }

    public void setToPartner(String toPartner) {
        this.toPartner = toPartner;
    }

    public String getUiGrade() {
        return uiGrade;
    }

    public void setUiGrade(String uiGrade) {
        this.uiGrade = uiGrade;
    }

    public Integer getContentReview() {
        return contentReview;
    }

    public void setContentReview(Integer contentReview) {
        this.contentReview = contentReview;
    }

    public String getUiHonor() {
        return uiHonor;
    }

    public void setUiHonor(String uiHonor) {
        this.uiHonor = uiHonor;
    }

    public String getUiHbUserid() {
        return uiHbUserid;
    }

    public void setUiHbUserid(String uiHbUserid) {
        this.uiHbUserid = uiHbUserid;
    }

    public String getStaffRegion() {
        return staffRegion;
    }

    public void setStaffRegion(String staffRegion) {
        this.staffRegion = staffRegion;
    }

    public String getBranchName() {
        return branchName;
    }

    public void setBranchName(String branchName) {
        this.branchName = branchName;
    }

    public String getSubBranchName() {
        return subBranchName;
    }

    public void setSubBranchName(String subBranchName) {
        this.subBranchName = subBranchName;
    }

    public String getBranchNetworkName() {
        return branchNetworkName;
    }

    public void setBranchNetworkName(String branchNetworkName) {
        this.branchNetworkName = branchNetworkName;
    }

    public String getUiGradeName() {
        return uiGradeName;
    }

    public void setUiGradeName(String uiGradeName) {
        this.uiGradeName = uiGradeName;
    }

    public String getUiTargetGradeName() {
        return uiTargetGradeName;
    }

    public void setUiTargetGradeName(String uiTargetGradeName) {
        this.uiTargetGradeName = uiTargetGradeName;
    }

    public String getUiSource() {
        return uiSource;
    }

    public void setUiSource(String uiSource) {
        this.uiSource = uiSource;
    }

    public LocalDateTime getCreatetime() {
        return createtime;
    }

    public void setCreatetime(LocalDateTime createtime) {
        this.createtime = createtime;
    }

    public String getCreateby() {
        return createby;
    }

    public void setCreateby(String createby) {
        this.createby = createby;
    }

    public LocalDateTime getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(LocalDateTime updatetime) {
        this.updatetime = updatetime;
    }

    public String getUpdateby() {
        return updateby;
    }

    public void setUpdateby(String updateby) {
        this.updateby = updateby;
    }

    public String getDeletetag() {
        return deletetag;
    }

    public void setDeletetag(String deletetag) {
        this.deletetag = deletetag;
    }

    public String getFrontRoles() {
        return frontRoles;
    }

    public void setFrontRoles(String frontRoles) {
        this.frontRoles = frontRoles;
    }

    public Integer getUiCheckStatus() {
        return uiCheckStatus;
    }

    public void setUiCheckStatus(Integer uiCheckStatus) {
        this.uiCheckStatus = uiCheckStatus;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getUiInviter() {
        return uiInviter;
    }

    public void setUiInviter(String uiInviter) {
        this.uiInviter = uiInviter;
    }

    public String getUiInviterPhone() {
        return uiInviterPhone;
    }

    public void setUiInviterPhone(String uiInviterPhone) {
        this.uiInviterPhone = uiInviterPhone;
    }

    public Integer getUiAge() {
        return uiAge;
    }

    public void setUiAge(Integer uiAge) {
        this.uiAge = uiAge;
    }

    public String getUiRegion() {
        return uiRegion;
    }

    public void setUiRegion(String uiRegion) {
        this.uiRegion = uiRegion;
    }

    public String getUiWecaht() {
        return uiWecaht;
    }

    public void setUiWecaht(String uiWecaht) {
        this.uiWecaht = uiWecaht;
    }

    public LocalDateTime getUiInviterTime() {
        return uiInviterTime;
    }

    public void setUiInviterTime(LocalDateTime uiInviterTime) {
        this.uiInviterTime = uiInviterTime;
    }

    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getLevelGrade() {
        return levelGrade;
    }

    public void setLevelGrade(Integer levelGrade) {
        this.levelGrade = levelGrade;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getEducation() {
        return education;
    }

    public void setEducation(Integer education) {
        this.education = education;
    }

    public String getWechat() {
        return wechat;
    }

    public void setWechat(String wechat) {
        this.wechat = wechat;
    }

    public Integer getHighWorthCustomerNum() {
        return highWorthCustomerNum;
    }

    public void setHighWorthCustomerNum(Integer highWorthCustomerNum) {
        this.highWorthCustomerNum = highWorthCustomerNum;
    }

    public Integer getCustomerAsset() {
        return customerAsset;
    }

    public void setCustomerAsset(Integer customerAsset) {
        this.customerAsset = customerAsset;
    }

    public Integer getFinancialPlanner() {
        return financialPlanner;
    }

    public void setFinancialPlanner(Integer financialPlanner) {
        this.financialPlanner = financialPlanner;
    }

    public LocalDateTime getVipEndTime() {
        return vipEndTime;
    }

    public void setVipEndTime(LocalDateTime vipEndTime) {
        this.vipEndTime = vipEndTime;
    }

    public LocalDateTime getUiRegisterTime() {
        return uiRegisterTime;
    }

    public void setUiRegisterTime(LocalDateTime uiRegisterTime) {
        this.uiRegisterTime = uiRegisterTime;
    }

    public String getUiAuth() {
        return uiAuth;
    }

    public void setUiAuth(String uiAuth) {
        this.uiAuth = uiAuth;
    }

    public String getUiChannel() {
        return uiChannel;
    }

    public void setUiChannel(String uiChannel) {
        this.uiChannel = uiChannel;
    }

    public LocalDateTime getReviewTime() {
        return reviewTime;
    }

    public void setReviewTime(LocalDateTime reviewTime) {
        this.reviewTime = reviewTime;
    }

    public String getUiAppleUserid() {
        return uiAppleUserid;
    }

    public void setUiAppleUserid(String uiAppleUserid) {
        this.uiAppleUserid = uiAppleUserid;
    }

    public String getIfaNo() {
        return ifaNo;
    }

    public void setIfaNo(String ifaNo) {
        this.ifaNo = ifaNo;
    }

    public String getRealname() {
        return realname;
    }

    public void setRealname(String realname) {
        this.realname = realname;
    }

    @Override
    public String toString() {
        return "UserInfoEntity{" +
        "id=" + id +
        ", userType=" + userType +
        ", uiOpenid=" + uiOpenid +
        ", uiUnionid=" + uiUnionid +
        ", uiTelphone=" + uiTelphone +
        ", uiPwd=" + uiPwd +
        ", uiNickname=" + uiNickname +
        ", uiHeadimg=" + uiHeadimg +
        ", uiUsername=" + uiUsername +
        ", uiSex=" + uiSex +
        ", uiBirthday=" + uiBirthday +
        ", uiIntroduction=" + uiIntroduction +
        ", uiTypeMp=" + uiTypeMp +
        ", uiHeadimgMp=" + uiHeadimgMp +
        ", uiUsernameMp=" + uiUsernameMp +
        ", uiTelphoneMp=" + uiTelphoneMp +
        ", uiMobilephoneMp=" + uiMobilephoneMp +
        ", uiCompanyMp=" + uiCompanyMp +
        ", uiCompanyAddressMp=" + uiCompanyAddressMp +
        ", uiPositionMp=" + uiPositionMp +
        ", uiIndustryMp=" + uiIndustryMp +
        ", uiEmailMp=" + uiEmailMp +
        ", uiIntroductionMp=" + uiIntroductionMp +
        ", uiWechatQrcode=" + uiWechatQrcode +
        ", uiWechatXcxQrcode=" + uiWechatXcxQrcode +
        ", uiType=" + uiType +
        ", uiShenfen=" + uiShenfen +
        ", uiRzstatus=" + uiRzstatus +
        ", orgId=" + orgId +
        ", teamId=" + teamId +
        ", joinTime=" + joinTime +
        ", staffNo=" + staffNo +
        ", investorCertifiedStatus=" + investorCertifiedStatus +
        ", investorCertifiedTime=" + investorCertifiedTime +
        ", toPartner=" + toPartner +
        ", uiGrade=" + uiGrade +
        ", contentReview=" + contentReview +
        ", uiHonor=" + uiHonor +
        ", uiHbUserid=" + uiHbUserid +
        ", staffRegion=" + staffRegion +
        ", branchName=" + branchName +
        ", subBranchName=" + subBranchName +
        ", branchNetworkName=" + branchNetworkName +
        ", uiGradeName=" + uiGradeName +
        ", uiTargetGradeName=" + uiTargetGradeName +
        ", uiSource=" + uiSource +
        ", createtime=" + createtime +
        ", createby=" + createby +
        ", updatetime=" + updatetime +
        ", updateby=" + updateby +
        ", deletetag=" + deletetag +
        ", frontRoles=" + frontRoles +
        ", uiCheckStatus=" + uiCheckStatus +
        ", city=" + city +
        ", province=" + province +
        ", country=" + country +
        ", uiInviter=" + uiInviter +
        ", uiInviterPhone=" + uiInviterPhone +
        ", uiAge=" + uiAge +
        ", uiRegion=" + uiRegion +
        ", uiWecaht=" + uiWecaht +
        ", uiInviterTime=" + uiInviterTime +
        ", unionid=" + unionid +
        ", level=" + level +
        ", levelGrade=" + levelGrade +
        ", age=" + age +
        ", district=" + district +
        ", address=" + address +
        ", education=" + education +
        ", wechat=" + wechat +
        ", highWorthCustomerNum=" + highWorthCustomerNum +
        ", customerAsset=" + customerAsset +
        ", financialPlanner=" + financialPlanner +
        ", vipEndTime=" + vipEndTime +
        ", uiRegisterTime=" + uiRegisterTime +
        ", uiAuth=" + uiAuth +
        ", uiChannel=" + uiChannel +
        ", reviewTime=" + reviewTime +
        ", uiAppleUserid=" + uiAppleUserid +
        ", ifaNo=" + ifaNo +
        ", realname=" + realname +
        "}";
    }
}
