package com.tanpu.community.manager;

import com.tanpu.community.service.RankService;
import com.tanpu.community.service.RedisService;
import com.tanpu.community.service.VisitSummaryService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

@Slf4j
@Service
@Configuration
public class ConJobManager {

    @Autowired
    private VisitSummaryService visitSummaryService;

    @Autowired
    private RedisService redisService;

    @Autowired
    private RankService rankService;

    /**
     * 定时统计 话题 访问数据，并刷到redis
     */
    @Scheduled(cron = "*/10 * * * * ?")
    public void topicVisitorStats() {
        String topicId = "123";
        Integer detailVisitTimes = visitSummaryService.queryTopicDetailVisit(topicId);
        redisService.set("topicVisitorStats", detailVisitTimes);
    }

    /**
     * 定时统计主题排行
     */
    @Scheduled(cron = "0 */2 * * * ?")
    public void themeRank() {
        System.out.println(LocalDateTime.now());
        rankService.rankThemes();
        rankService.rankTopics();
    }
}
