package com.tanpu.community.manager;

import com.tanpu.common.auth.UserHolder;
import com.tanpu.community.api.enums.VisitTypeEnum;
import com.tanpu.community.service.VisitSummaryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class VisitSummaryManager {

    @Resource
    private VisitSummaryService visitSummaryService;

    @Autowired
    private UserHolder userHolder;

    public void addTopicPageView(String topicId) {
        String userId = userHolder.getUserId();
        visitSummaryService.addPageView(userId, topicId, VisitTypeEnum.TOPIC_PAGE_VIEW);
    }

    public void addFollowThemeView(String themeId) {
        String userId = userHolder.getUserId();
        visitSummaryService.addPageView(userId, themeId, VisitTypeEnum.THEME_PAGE_VIEW);
    }

    public void addFollowThemeView() {
        String userId = userHolder.getUserId();
        visitSummaryService.addPageView(userId, userId, VisitTypeEnum.FOLLOW_THEME_VIEW);
    }

}
